=== debian/changelog ===
ros-indigo-alfred-sr-linux (0.1.20-0trusty) trusty; urgency=high

  * Update package dependencies
  * Update package description & license
  * Contributors: Erwan Le Huitouze

 -- Mickael Gaillard <mick.gaillard@gmail.com>  Sat, 04 Jun 2016 22:00:00 -0000

ros-indigo-alfred-sr-linux (0.1.18-0trusty) trusty; urgency=high

  * Update package.xml, add author
  * Contributors: Erwan Le Huitouze

 -- Mickael Gaillard <mick.gaillard@gmail.com>  Sat, 05 Mar 2016 23:00:00 -0000
